<template>
  <div class="role-details" v-if="role">
    <div class="role-details__container">
      <div class="role-details__header">
        <h1 class="role-details__title">Role Details</h1>
        <router-link class="role-details__btn is-back" :to="{ name: 'Home' }"
          >Roles list</router-link
        >
      </div>
      <div class="role-details__content">
        <h1 class="role-details__subtitle">{{ role.name }}</h1>
        <h3 class="role-details__subtitle">{{ role.type }}</h3>
        <p class="role-details__item">{{ role.description }}</p>
        <p class="role-details__item">
          Date created: {{ formatDate(role.created_on) }}
        </p>
      </div>
    </div>
  </div>
</template>

<script>
import moment from "moment";
export default {
  props: ["id"],
  created() {
    this.$store.dispatch("fetchRole", this.id).catch((error) => {
      this.$router.push({
        name: "ErrorDisplay",
        params: { error: error },
      });
    });
  },
  computed: {
    role() {
      return this.$store.state.role;
    },
  },
  methods: {
    formatDate: function (date) {
      return moment(date).format("DD/MM/YYYY");
    },
  },
};
</script>
